cURL
curl --request POST \ --url https://statsigapi.net/console/v1/ingestion \ --header 'Content-Type: application/json' \ --header 'STATSIG-API-KEY: <api-key>' \ --data ' { "dataset": "Metrics", "type": "redshift", "source_name": "<string>", "query": "<string>", "use_delta_sharing": true, "share": "<string>", "schema": "<string>", "table": "<string>", "enabled": true } '
{ "type": "databricks", "dataset": "Metrics", "source_name": "ingestion-1", "query": "SELECT * FROM TABLE", "column_mapping": { "unit_id": "string", "id_type": "string", "dateid": "string", "metric_name": "string", "metric_value": "string", "numerator": "string", "denominator": "string" }, "use_delta_sharing": false, "share": "string", "schema": "string", "table": "string", "enabled": false }
Metrics
redshift
bigquery-v2
snowflake-v2
databricks
azure-synapse
s3
athena
adls
Show child attributes
true
Create Ingestion Success
A simple string explaining the result of the operation.
A single result.
Was this page helpful?